Package org.eclipse.mat.query.refined

## Class RefinedStructuredResult.DerivedDataJobDefinition

- java.lang.Object
- - org.eclipse.mat.query.refined.RefinedStructuredResult.DerivedDataJobDefinition

Enclosing class:
  RefinedStructuredResult

    public static class RefinedStructuredResult.DerivedDataJobDefinition
    extends java.lang.Object

### Constructor Summary

Constructors
`DerivedDataJobDefinition​(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContextProvider` `getContextProvider()`
`ContextDerivedData.DerivedOperation` `getOperation()`
`void` `setOperation​(ContextDerivedData.DerivedOperation operation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedDataJobDefinition

    public DerivedDataJobDefinition​(ContextProvider provider,
                                    ContextDerivedData.DerivedOperation operation)

### Method Detail

#### getContextProvider

    public ContextProvider getContextProvider()

#### getOperation

    public ContextDerivedData.DerivedOperation getOperation()

#### setOperation

    public void setOperation​(ContextDerivedData.DerivedOperation operation)